Drupal.theme.prototype.mkdruResult = function(hit, num) {
  var html = [];
  html.push('<div class="record" id="recdiv_' + hit.recid + '" >'
      + '<span>' + num + '. </span>'
      + '<a href="#" id="rec_' + hit.recid
      + '"><b>' 
      + hit["md-title"] + ' </b></a>');
  if (hit["md-title-remainder"] !== undefined) {
    html.push('<span>' + hit["md-title-remainder"] + ' </span>');
  }
  if (hit["md-title-responsibility"] !== undefined) {
    html.push('<span><i>'+hit["md-title-responsibility"]+'</i></span>');
  }
  html.push('</div>');
  return (html.join(''));
};

Drupal.theme.prototype.mkdruPager = function (data, curPage, pages) {
    var caption = '<hr/><div style="float: right">Displaying: ' 
                    + (data.start + 1) + ' to ' + (data.start + data.num) +
                     ' of ' + data.merged + ' (found: ' 
                     + data.total + ')</div>';

    var onsides = 6;

    var firstClkbl = ( curPage - onsides > 0 ) 
        ? curPage - onsides
        : 1;

    var lastClkbl = firstClkbl + 2*onsides < pages
        ? firstClkbl + 2*onsides
        : pages;

    var prev = '<span id="prev">&#60;&#60; Prev</span><b> | </b>';
    if (curPage > 1)
        var prev = '<a href="#" class="mkdru-prev">'
        +'&#60;&#60; Prev</a><b> | </b>';

    var middle = '';
    for(var i = firstClkbl; i <= lastClkbl; i++) {
        var numLabel = i;
        if(i == curPage)
            numLabel = '<b>' + i + '</b>';

        middle += '<a href="#" onclick="mkdru.showPage(' + i + ')"> '
            + numLabel + ' </a>';
    }

    var next = '<b> | </b><span id="next">Next &#62;&#62;</span>';
    if (pages - curPage > 0)
    var next = '<b> | </b><a href="#" class="mkdru-next">'
        +'Next &#62;&#62;</a>';

    predots = '';
    if (firstClkbl > 1)
        predots = '...';

    postdots = '';
    if (lastClkbl < pages)
        postdots = '...';

    return ('<div style="float: clear">' +
        caption + prev + predots + middle + postdots + next + '</div><hr/>');
};

Drupal.theme.prototype.mkdruTerm = function (term, freq, linkClass, id) {
  var html = '<a href="#"';
  if (id)
    html += ' target_id="' + id + '"';
  html += ' class="' + linkClass + '">' + term + '</a><span> (' + freq + ')</span><br/>';
  return html;
};